--
-- MoneyTool by RedeX01
-- Version 7.0.0.0 
-- 19.11.2021 - Redeveloped for FS22.
-- 19.12.2021 - fix for multiplayer. FS22
-- 22.02.2022 - fixed bugs
-- 14.05.2022 - Compatibility update for the interface.
-- 22.06.2022 - Removed unnecessary codes in the code directory.(made it work faster.)

MoneyTool = {};

function MoneyTool:loadMap(name)
end;

function MoneyTool:keyEvent(coddesc, jdm, jamdon, dwn)
	local money = 1000000;
	if bitAND(jamdon, Input.MOD_CTRL) > 0 and bitAND(jamdon, Input.MOD_ALT) > 0 and Input.isKeyPressed(Input.KEY_9) then 
		if (g_currentMission.missionDynamicInfo.isMultiplayer == true) and (g_currentMission.player.farmId == FarmManager.SPECTATOR_FARM_ID) then
			print("MoneyTool - Multiplayer game - Player has no Farm!");
		else
			g_currentMission:consoleCommandCheatMoney(money);
		end;
	end;
end;

function MoneyTool:mouseEvent(posX, posY, dwn, isUp, button)
end;

addModEventListener(MoneyTool);

MoneyTool = {};

function MoneyTool:loadMap(name)
end;

function MoneyTool:keyEvent(coddesc, jdm, jamdon, dwn)
	local money = -1000000;
	if bitAND(jamdon, Input.MOD_CTRL) > 0 and bitAND(jamdon, Input.MOD_ALT) > 0 and Input.isKeyPressed(Input.KEY_0) then 
		if (g_currentMission.missionDynamicInfo.isMultiplayer == true) and (g_currentMission.player.farmId == FarmManager.SPECTATOR_FARM_ID) then
			print("MoneyTool - Multiplayer game - Player has no Farm!");
		else
			g_currentMission:consoleCommandCheatMoney(money);
		end;
	end;
end;

function MoneyTool:mouseEvent(posX, posY, dwn, isUp, button)
end;

addModEventListener(MoneyTool);